{ pkgs ? import ./nix/pinned.nix {} }:
let
  default-shell = import (
    pkgs.fetchFromGitHub {
      owner = "garganscript";
      repo = "package-sets";
      rev = "master";
      sha256 = "RYFsTna5cg7EjynLvkFg87zTLSMeZw7DNIgPu9iXokk=";
    } + "/default-shell.nix");

  build = pkgs.writeShellScriptBin "build" ''
    #!/usr/bin/env bash
    set -e

    echo "Installing JS Dependencies"
    yarn

    echo "Compiling"

    # 0.15
    spago build
    #spago bundle-module --main Main --to dist/bundle.js
  '';

  test-ps = pkgs.writeShellScriptBin "test-ps" ''
    #!/usr/bin/env bash
    set -e

    echo "Compiling"
    yarn
    echo "Testing"
    spago -x test.dhall test --main Test.Main
  '';
in
pkgs.mkShell {
  name = "purescript-string-search";

  buildInputs = [
    build
    test-ps
    default-shell.purs
    default-shell.easy-ps.psc-package
    default-shell.easy-ps.spago
    default-shell.build
    default-shell.pkgs.dhall-json
    default-shell.pkgs.nodejs
    default-shell.pkgs.yarn
  ];
}
